aboutsummaryrefslogtreecommitdiffstats
path: root/testing/slock/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2015-08-12 23:07:43 +0200
committerFrancesco Colista <fcolista@alpinelinux.org>2015-08-13 09:08:17 +0000
commit93bfe1c2056500a729292cd15c9aa2428689ff24 (patch)
tree9622a5aae86723da1a82fb39de03bcdaa7e97299 /testing/slock/APKBUILD
parent307f8a81fa54bd8f42cecb927de08edf940b6976 (diff)
downloadaports-93bfe1c2056500a729292cd15c9aa2428689ff24.tar.gz
aports-93bfe1c2056500a729292cd15c9aa2428689ff24.tar.bz2
aports-93bfe1c2056500a729292cd15c9aa2428689ff24.tar.xz
testing/slock: new aport
Diffstat (limited to 'testing/slock/APKBUILD')
-rw-r--r--testing/slock/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/slock/APKBUILD b/testing/slock/APKBUILD
new file mode 100644
index 0000000000..16b2b96a8e
--- /dev/null
+++ b/testing/slock/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine@soeren-tempel.net>
+pkgname=slock
+pkgver=1.2
+pkgrel=0
+pkgdesc="A simple screen locker for X"
+url="http://tools.suckless.org/slock/"
+arch="all"
+license="MIT"
+depends=""
+depends_dev="libxext-dev"
+makedepends="$depends_dev"
+install=""
+source="http://git.suckless.org/$pkgname/snapshot/$pkgname-$pkgver.tar.gz"
+options="suid"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ cd "$_builddir"
+
+ local i=
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1 ;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make X11INC=/usr/include/X11 X11LIB=/usr/lib/X11
+}
+
+package() {
+ make PREFIX=/usr DESTDIR="$pkgdir" \
+ -C "$_builddir" install
+}
+
+md5sums="bf404672242cf6575f07e094822b3ae8 slock-1.2.tar.gz"
+sha256sums="0e577e4dca26063d3a4f06c1d4dac4c085a3481dfc00ad805f01f0a3dc676677 slock-1.2.tar.gz"
+sha512sums="96b3853ef73dea5f11254babe332c43a3d011c0a04f301c178dbfa3f2c5b4c2aa300fe70d7bbde6bbd57dbc7a8a5b94bc8dcf81e2175fd671d36237798853045 slock-1.2.tar.gz"